IF EXISTS (SELECT
              *
           FROM
              SYSOBJECTS O, SYSUSERS U
           WHERE
              O.NAME = 'GERA_CFPS' AND
              TYPE   = 'FN' 		   AND
              U.UID  = O.UID               AND
              U.NAME = USER)

DROP FUNCTION GERA_CFPS  
GO

CREATE FUNCTION GERA_CFPS(
    @P_CDFISCOPERNF  VARCHAR(20)) RETURNS NUMERIC
AS
BEGIN
DECLARE   @V_CFPS    NUMERIC;

   /* verifica as entradas de prestao de servios */
   IF SUBSTRING(@P_CDFISCOPERNF,1,1) = '1'      BEGIN
     SET @V_CFPS = 9101;
   END
   ELSE IF SUBSTRING(@P_CDFISCOPERNF,1,1) = '2' BEGIN
     SET @V_CFPS = 9102;
   END
   ELSE IF SUBSTRING(@P_CDFISCOPERNF,1,1) = '3' BEGIN
     SET @V_CFPS = 9103;
   END
   ELSE
     SET @V_CFPS = 9104;

   /* verifica as sadas de prestao de servios */
   IF SUBSTRING(@P_CDFISCOPERNF,1,1) = '5'      BEGIN
      SET @V_CFPS = 9201;
   END
   ELSE IF SUBSTRING(@P_CDFISCOPERNF,1,1) = '6' BEGIN
     SET @V_CFPS = 9202;
   END
   ELSE IF SUBSTRING(@P_CDFISCOPERNF,1,1) = '7' BEGIN
     SET @V_CFPS = 9203;
   END
   ELSE BEGIN
     SET @V_CFPS = 9204;
   END;

   RETURN(@V_CFPS);
END
GO

-- VERSAO --
EXEC ATUVEROBJ 'GERA_CFPS','5.05.008';
GO

